<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="shop.alien.mapper.CommonCommentMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="shop.alien.entity.store.CommonComment">
        <id column="id" property="id" />
        <result column="source_type" property="sourceType" />
        <result column="source_id" property="sourceId" />
        <result column="user_id" property="userId" />
        <result column="parent_id" property="parentId" />
        <result column="content" property="content" />
        <result column="image_urls" property="imageUrls" />
        <result column="is_anonymous" property="isAnonymous" />
        <result column="comment_type" property="commentType" />
        <result column="merchant_id" property="merchantId" />
        <result column="is_show" property="isShow" />
        <result column="audit_status" property="auditStatus" />
        <result column="like_count" property="likeCount" />
        <result column="reply_count" property="replyCount" />
        <result column="create_time" property="createdTime" />
        <result column="update_time" property="updatedTime" />
        <result column="ext_info" property="extInfo" typeHandler="com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, source_type, source_id, user_id, parent_id, content, image_urls, is_anonymous,
        comment_type, merchant_id, is_show, audit_status, like_count, reply_count,
        create_time, update_time, ext_info
    </sql>


</mapper>

